<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/login_background"
    android:id="@+id/login_container"
    tools:context=".BetValidation">

    <!-- SCROLL CONTENT -->
    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/gray"
        android:paddingHorizontal="10dp"
        android:layout_above="@+id/bottom_buttons">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingBottom="10dp">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:layout_marginTop="5dp"
                android:layout_marginBottom="3dp"
                android:orientation="horizontal">
                <ImageView
                    android:id="@+id/ic_type_of_bet"
                    android:layout_width="100dp"
                    android:layout_height="40dp"
                    android:src="@drawable/ic_tierce"
                    />
                <View
                    android:layout_width="0dp"
                    android:layout_height="0dp"
                    android:layout_weight="1" />

                <TextView
                    android:id="@+id/elargie"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="18sp"
                    android:textColor="@color/primary_green"
                    android:textFontWeight="300"
                    android:text="Elargie"
                    android:visibility="gone" />
            </LinearLayout>

            <!-- 2 : Combination -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="3dp">

                <TextView
                    android:id="@+id/combination"
                    android:layout_width="match_parent"
                    android:layout_height="40sp"
                    android:layout_marginEnd="5dp"
                    android:background="@drawable/edittext_border"
                    android:gravity="center_vertical"
                    android:paddingStart="10sp"
                    android:textColor="@color/primary_green"
                    android:textFontWeight="800"
                    android:textSize="18sp" />
            </LinearLayout>

            <!-- 3 : Grid Numbers -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:layout_marginVertical="5dp">

                <GridLayout
                    android:id="@+id/grid_numbers"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:useDefaultMargins="true" />
            </LinearLayout>

            <!-- 4 : Coefficient + Tout ordre -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginBottom="10dp"
                >
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="12dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical"
                    android:background="@android:color/white"
                    android:elevation="4dp"
                    android:layout_marginBottom="14dp">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/coefficient"
                            android:textSize="15sp"
                            android:textStyle="bold" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal"
                            android:gravity="center_vertical"
                            android:padding="10dp">

                            <EditText
                                android:id="@+id/coeff"
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:layout_marginEnd="12dp"
                                android:inputType="number"
                                android:textSize="20sp"
                                android:padding="8dp"
                                android:text="1"
                                android:background="@drawable/edittext_border" />

                            <CheckBox
                                android:id="@+id/order"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/tout_ordre"
                                android:visibility="gone" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <!-- Mise -->
                <TextView
                    android:id="@+id/mise"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="1"
                    android:textSize="28sp"
                    android:textStyle="bold"
                    android:textColor="@color/primary_green"
                    android:gravity="center"
                    android:padding="12dp"
                    android:background="@android:color/white"
                    android:elevation="4dp" />
            </LinearLayout>

            <!-- 5 : Payment + Phone -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <Spinner
                    android:id="@+id/paymentType"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@drawable/edittext_border"
                    android:entries="@array/paymentType"
                    android:padding="15dp" />

                <EditText
                    android:id="@+id/phoneNumber"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="15dp"
                    android:background="@drawable/edittext_border"
                    android:inputType="phone"
                    android:padding="10dp"
                    android:visibility="gone" />
            </LinearLayout>

        </LinearLayout>
    </ScrollView>

    <!-- FIXED BOTTOM BUTTONS -->
    <LinearLayout
        android:id="@+id/bottom_buttons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:gravity="center"
        android:orientation="horizontal"
        android:padding="5dp"
        android:weightSum="3">

        <Button
            android:id="@+id/backBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="4dp"
            android:layout_weight="1"
            android:backgroundTint="@color/primary_red"
            android:text="@string/cancel"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/deleteBtn"
            android:layout_width="0dp"
            android:textSize="12sp"
            android:layout_height="wrap_content"
            android:layout_margin="4dp"
            android:layout_weight="1"
            android:backgroundTint="@android:color/holo_red_light"
            android:text="@string/delete"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/betValidateBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="4dp"
            android:layout_weight="1"
            android:backgroundTint="@color/primary_green"
            android:text="@string/validate"
            android:textColor="@color/white" />
    </LinearLayout>

</RelativeLayout>
